Skip to main content
GET
/
rewards
/
user
/
percentages
Get reward percentages for user
curl --request GET \
  --url https://clob.polymarket.com/rewards/user/percentages \
  --header 'POLY_ADDRESS: <api-key>' \
  --header 'POLY_API_KEY: <api-key>' \
  --header 'POLY_PASSPHRASE: <api-key>' \
  --header 'POLY_SIGNATURE: <api-key>' \
  --header 'POLY_TIMESTAMP: <api-key>'
{
  "0x296ea2f3ad438ce7ead77f40d0159bf3e5d8be146f6f615fa253b00e02243f5c": 20,
  "0xbd31dc8a20211944f6b70f31557f1001557b59905b7738480ca09bd4532f84af": 20
}

Authorizations

POLY_API_KEY
string
header
required

Your API key

POLY_ADDRESS
string
header
required

Ethereum address associated with the API key

POLY_SIGNATURE
string
header
required

HMAC signature of the request

POLY_PASSPHRASE
string
header
required

API key passphrase

POLY_TIMESTAMP
string
header
required

Unix timestamp of the request

Query Parameters

signature_type
enum<integer>

Signature type for address derivation (required for API KEY auth):

  • 0: EOA
  • 1: POLY_PROXY
  • 2: POLY_GNOSIS_SAFE
Available options:
0,
1,
2
maker_address
string

Maker address to query percentages for

Response

Successfully retrieved reward percentages

Map of condition_id to reward percentage

{key}
number<double>